#!/bin/bash
## USED AS A COMMAND LINE EXPANDER TO OVERRIDE PATHS
## WITHOUT DISTURBING THE KNOWN MAKE BUILD PROCESS DISPLAY
echo '-DHTTPD_ROOT="/etc/apache"'
echo '-DSUEXEC_BIN="/usr/lib/apache/suexec"'
echo '-DSHARED_CORE_DIR="/usr/lib/apache/1.3"'
echo '-DDEFAULT_PIDLOG="/var/run/apache.pid"'
echo '-DDEFAULT_SCOREBOARD="/var/run/apache.scoreboard"'
echo '-DDEFAULT_LOCKFILE="/var/run/apache.lock"'
echo '-DDEFAULT_XFERLOG="/var/log/apache/access.log"'
echo '-DDEFAULT_ERRORLOG="/var/log/apache/error.log"'
echo '-DTYPES_CONFIG_FILE="/etc/mime.types"'
echo '-DSERVER_CONFIG_FILE="httpd.conf"'
echo '-DACCESS_CONFIG_FILE="access.conf"'
echo '-DRESOURCE_CONFIG_FILE="srm.conf"'
## ELITE DEBIAN STUFFS
echo '-DDEFAULT_USER="#65534"'
echo '-DDEFAULT_GROUP="#65534"'
echo '-DDEFAULT_PATH="/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin"'
ARCH=$(dpkg --print-architecture)
if [ "$ARCH" != "i386" ]; then
    ARCH=$(echo $ARCH | sed s/alpha/Alpha/)
    ARCH=$(echo $ARCH | sed s/sparc/SPARC/)
# SPARC is a registered trademark of SPARC International, Inc.
# Products bearing SPARC trademarks are based on an architecture developed
# by Sun Microsystems, Inc.
    echo "-DSERVER_SUBVERSION=\"Debian/$ARCH\""
else
    echo '-DSERVER_SUBVERSION="Debian/GNU"'
fi
echo '-DLOG_EXEC="/var/log/apache/cgi.log"'
echo '-O2'
